Retrieves all the article stock location lists
Request Information
URI Parameters :
None.
Body Parameters :
None.
Response Information
Resource Description :
IHttpActionResult
article_stock_location_list| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier | |
| article_stock_location_id |
Foreign key of the article_stock_location |
globally unique identifier |
Optionally required : article_stock_location_id, article_stock_location_reference_back_office or article_stock_location must be provided |
| article_stock_location_reference_back_office | string |
Optionally required : article_stock_location_id, article_stock_location_reference_back_office or article_stock_location must be provided |
|
| article_stock_location |
Embedded entity "article_stock_location" using ERP PK when adding/updating |
article_stock_location |
Optionally required : article_stock_location_id,article_stock_location_reference_back_office or article_stock_location must be provided |
| article_id |
Foreign key of article |
globally unique identifier |
Optionally required : article_id, article_code or article must be provided |
| article_code |
Embedded entity "article" using ERP PK when adding/updating |
string |
Optionally required : article_id, article_code or article must be provided |
| article |
Embedded entity "article" when adding/updating |
article |
Optionally required : article_id, article_code or article must be provided |
| quantity |
Quantity in stock for this article, for this stock |
integer |
Required |
| reference_back_office |
Field used for Embedded entity (store there your ERP PK) |
string |
Max length: 255 |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Response Formats
application/json, text/json
{
"id": "220316fc-3f75-4529-a6c7-4cfd76eb41f4",
"article_stock_location_id": "a9d3e1ed-3026-445f-bd96-4b4d5a172fb5",
"article_stock_location_reference_back_office": "sample string 3",
"article_id": "37467eb7-37ce-4649-9d7c-c6edc5cf90a4",
"article_code": "sample string 5",
"quantity": 6,
"reference_back_office": "sample string 7",
"modified_dateutc": "2026-08-21T18:36:04.9055037+00:00"
}